// 导入组件
import Vue from 'vue';
import Router from 'vue-router';
// 登录
import login from '@/views/login';
// 首页
import index from '@/views/index';
/**
 * 基础菜单
 */
// 组织机构管理
import Orgs from '@/views/orgs/Orgs';

// 成员管理
import Member from '@/views/member/Member';

// 授权码管理
import Activation from '@/views/activation/Activation';

// 讲师管理
import Lecturer from '@/views/lecturer/Lecturer';


// 启用路由
Vue.use(Router);

// 导出路由 
export default new Router({
    mode: 'history',
    routes: [{
        path: '/',
        name: '',
        component: login,
        hidden: true,
        meta: {
            requireAuth: false
        }
    }, {
        path: '/login',
        name: '登录',
        component: login,
        hidden: true,
        meta: {
            requireAuth: false
        }
    }, {
        path: '/index',
        name: '首页',
        component: index,
        iconCls: 'el-icon-tickets',
        children: [{
            path: '/orgs/Orgs',
            name: '组织机构管理',
            component: Orgs,
            meta: {
                requireAuth: true
            }
        },{
            path: '/member/Member',
            name: '成员管理',
            component: Member,
            meta: {
                requireAuth: true
            }
        },{
            path: '/activation/Activation',
            name: '授权码管理',
            component: Activation,
            meta: {
                requireAuth: true
            }
        },{
            path: '/lecturer/Lecturer',
            name: '讲师管理',
            component: Lecturer,
            meta: {
                requireAuth: true
            }
        }]
    }]
})